API referenceEmails

Retrieve a received email

GET/emails/receiving/{id}

Parsed html, text and headers from the raw MIME in your bucket, plus raw.download_url, valid for up to one hour: a presigned S3 URL on Amazon SES, a link to GET /emails/receiving/{id}/raw on Cloudflare.

Authorization

apiKey
AuthorizationBearer <token>

A project API key: Authorization: Bearer s0_…

In: header

Path Parameters

id*string
Length1 <= length <= 64

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/emails/receiving/string"
{  "object": "email",  "id": "string",  "to": [    "string"  ],  "from": "string",  "created_at": "2019-08-24T14:15:22Z",  "subject": "string",  "bcc": [    "string"  ],  "cc": [    "string"  ],  "received_for": [    "string"  ],  "reply_to": [    "string"  ],  "message_id": "string",  "inbox_id": "string",  "inbox_ids": [    "string"  ],  "verdicts": {    "spam": "string",    "virus": "string",    "spf": "string",    "dkim": "string",    "dmarc": "string"  },  "attachments": [    {      "id": "string",      "filename": "string",      "content_type": "string",      "content_disposition": "attachment",      "content_id": "string",      "size": 0    }  ],  "html": "string",  "text": "string",  "headers": {    "property1": "string",    "property2": "string"  },  "raw": {    "download_url": "string",    "expires_at": "2019-08-24T14:15:22Z"  }}